# Config Settings

#### **Config Settings**

Adjust the following settings to fit your server:

```
Config = {}
Config.ServerCallbacks = {}
Config.UseTextUI = true -- Activate this if you have the frkn-textui-2 script.
Config.CommandPermission = 'god' -- Permission level for creating new doors (god for QB, admin for ESX).
Config.AdminAccess = false -- Enable admins to unlock any door.
Config.AdminPermission = 'god' -- The permission needed to get AdminAccess if enabled.
Config.Warnings = true -- If true, warnings will be displayed in the console when certain requirements aren't met.
Config.EnableSounds = true -- Enable sounds when unlocking/locking doors (doors triggered by scripts can have the sound manually disabled).
Config.EnableAnimation = true -- Enable the animation when unlocking/locking doors (doors triggered by scripts can have the animation manually disabled).
Config.PersistentDoorStates = false -- Persist door states between server restarts.
Config.PersistentSaveInternal = 60000 -- How often door states are saved to the file system, in milliseconds.
Config.RemoteTriggerDistance = 15.0 -- The maximum distance for triggering doors remotely.
Config.RemoteTriggerMinDistance = 5.0 -- The minimum distance required for the raycast hit to count near a door.
Config.FaceScanner = "qua_scanner" -- Face scanner prop name.
Config.ControllerProp = "ch_prop_ch_metal_detector_01a"
Config.TvProp = "prop_tv_flat_michael" -- TV prop name.
Config.Interaction = {
    UseTarget = true,
    Target = "qb-target",
}
Config.TargetText = "Perform face scanning"
Config.Consumables = { ['ticket'] = 1, ['paperclip'] = 1 } -- Items that will be removed once used on a door requiring them.
Config.BokToken = "REMOVED FOR SECURITY REASONS"
```

***

#### **Minigame-Supported Lock Breaking**

Players can use specific items to play minigames and unlock doors.

```lua
Config.Minigames = {
    [0] = function(callback)
        exports['frkn-stickgame']:stickGame(
            callback,
            25, -- Duration
            'Destroy target',
            'Destroy target',
            5, -- Difficulty level
            1.0 -- Rotation speed
        )
    end,
    [1] = function(callback)
        exports['frkn-sosgame']:xoxGame(
            callback,
            25, -- Duration
            'Destroy target',
            'Destroy target',
            2,
            2
        )
    end,
    [2] = function(callback) 
        exports['frkn-riddlegame']:riddleGame(
            callback,
            25, -- Duration
            'Destroy target',
            'Destroy target',
            2,
            2
        )
    end,
    [3] = function(callback)
        exports['frkn-hackinggame']:hackingGame(
            callback,
            25, -- Duration
            'Hack the target',
            'Hack the target',
            4 -- Difficulty level
        )
    end
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/frkn-resources/frkn-doorlock-v2/config-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
